fort-lib.h File Reference
`#include <stddef.h>`
`#include "ncfortran.h"`
`#include <netcdf_f.h>`
Include dependency graph for fort-lib.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

EXTERNL NF_INTEGER * | c2f_dimids (int ncid, int varid, const int *cdimids, NF_INTEGER *fdimids)
EXTERNL int * | f2c_dimids (int ndims, const NF_INTEGER *fdimids, int *cdimids)
EXTERNL NF_INTEGER * | c2f_chunksizes (int ncid, int varid, const int *cchunksizes, NF_INTEGER *fchunksizes)
EXTERNL int * | f2c_chunksizes (int ncid, int varid, const NF_INTEGER *fchunksizes, int *cchunksizes)
EXTERNL size_t * | f2c_coords (int ncid, int varid, const NF_INTEGER *fcoords, size_t *ccoords)
EXTERNL size_t * | f2c_counts (int ncid, int varid, const NF_INTEGER *fcounts, size_t *ccounts)
EXTERNL ptrdiff_t * | f2c_strides (int ncid, int varid, const NF_INTEGER *fstrides, ptrdiff_t *cstrides)
EXTERNL ptrdiff_t * | f2c_maps (int ncid, int varid, const NF_INTEGER *fmaps, ptrdiff_t *cmaps)

## Function Documentation

## c2f_chunksizes()

EXTERNL NF_INTEGER* c2f_chunksizes | ( | int | ncid,
|  | int | varid,
|  | const int * | cchunksizes,
|  | NF_INTEGER * | fchunksizes
| ) |  |

Definition at line 52 of file fort-lib.c.

## c2f_dimids()

EXTERNL NF_INTEGER* c2f_dimids | ( | int | ncid,
|  | int | varid,
|  | const int * | cdimids,
|  | NF_INTEGER * | fdimids
| ) |  |

Definition at line 22 of file fort-lib.c.

## f2c_chunksizes()

EXTERNL int* f2c_chunksizes | ( | int | ncid,
|  | int | varid,
|  | const NF_INTEGER * | fchunksizes,
|  | int * | cchunksizes
| ) |  |

Definition at line 68 of file fort-lib.c.

## f2c_coords()

EXTERNL size_t* f2c_coords | ( | int | ncid,
|  | int | varid,
|  | const NF_INTEGER * | fcoords,
|  | size_t * | ccoords
| ) |  |

Definition at line 86 of file fort-lib.c.

## f2c_counts()

EXTERNL size_t* f2c_counts | ( | int | ncid,
|  | int | varid,
|  | const NF_INTEGER * | fcounts,
|  | size_t * | ccounts
| ) |  |

Definition at line 106 of file fort-lib.c.

## f2c_dimids()

EXTERNL int* f2c_dimids | ( | int | ndims,
|  | const NF_INTEGER * | fdimids,
|  | int * | cdimids
| ) |  |

Definition at line 40 of file fort-lib.c.

## f2c_maps()

EXTERNL ptrdiff_t* f2c_maps | ( | int | ncid,
|  | int | varid,
|  | const NF_INTEGER * | fmaps,
|  | ptrdiff_t * | cmaps
| ) |  |

Definition at line 148 of file fort-lib.c.

Here is the call graph for this function:

## f2c_strides()

EXTERNL ptrdiff_t* f2c_strides | ( | int | ncid,
|  | int | varid,
|  | const NF_INTEGER * | fstrides,
|  | ptrdiff_t * | cstrides
| ) |  |

Definition at line 128 of file fort-lib.c.

Return to the Main Unidata NetCDF page.